Ankündigung

Einklappen

PLUGINS

Bitte im Titel immer zuerst den Namen des Plugin hinschreiben
Mehr anzeigen
Weniger anzeigen

Plugin: 1Wire

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • @hismastersvoice
    Gibt es hier eine möglichkeit wie ich unterscheiden kann an wechem Loxberry der ibutton angelegt wurde ?

    Über die Busausertung klappt es nicht da jeder Loxberry einen Busmaster hat und dieser ja dann Bus 0 ist.


    Kommentar


    • Siggi
      Ist so nicht vorgesehen, es war die Idee einen Raspi mit X Mastern zu betreiben.
      Im Grunde müsste man zB die MAC Adresse oder so was wie zB Bus.0 weitergeben, so würde man wissen wo der I-Button her kommt.

      Ist bei dir der Weg zu weit oder warum muss es ein zweiter Loxberry sein?

      Kommentar


      • Tausche mal folgende Datei im Loxberry gegen die hier angehängte aus. Natürlich vorher entpacken
        Pfad: /opt/loxberry/webfrontend/cgi/plugins/1-Wire

        Dann legst du eine einen VI mit deiner MAC-Adresse an, wie zB BUS.0 usw.
        Der Name muss deine Mac-Adresse von eth0 ohne Doppelpunkte und alles kleingeschrieben sein zB aabbccddeeff

        Dann kann du das den Eingang gegen den BUS.0 Eingang tauschen.
        Versuch es mal, ich musste leider Blind programmieren und konnte es nicht testen da ich nicht zu Hause bin. Wenn was nicht geht melden dich.

        Angehängte Dateien

        Kommentar


        • hismastersvoice
          hismastersvoice kommentierte
          Kommentar bearbeiten
          PS:

          cat /sys/class/net/wlan0/address | sed s/://g

          Gib den Befehl in deine Konsole ein, dann zeigt er es gleich richtig an und du kannst Copy&Paste machen.

      • Wäre nicht der Hostname besser? Dann wäre das unabhängig vom Interface.
        PN/PM: Ich bevorzuge die Beantwortung von Fragen in öffentlichen Threads, wo andere mithelfen und mitprofitieren können. Herzlichen Dank!

        Kommentar


        • Grundsätzlich erstmal ein Dankeschön das du dir das anschaust.

          Es funktioniert leider nicht ganz so wie gewünscht.
          Wenn ich den ibutton auflege schaltet der VI mit der MAC Adresse ein aber nichtmehr aus wenn ich den ibutton entferne.
          Zuletzt geändert von Siggi; 05.Okt.2019, 15:18.

          Kommentar


          • Dann nochmal mit dieser Datei ersetzen...
            Angehängte Dateien

            Kommentar


            • Unverändert, der MAC Adressen VI bleibt dauerhaft an.

              Komisch ist aber das der 1W_BUS VI auch dauerhaft an ist.

              Wenn ich oft anlege und wieder entferne gehen beide mal kurz aus und dann aber auch gleich wieder an.

              Der ibutton wird noch immer einwandfrei erkannt.

              Kommentar


              • hismastersvoice
                hismastersvoice kommentierte
                Kommentar bearbeiten
                Reboot nach den Tausch gemacht ?

              • Siggi
                Siggi kommentierte
                Kommentar bearbeiten
                Hab ich gemacht.

                Wenn ich die beiden VI (MAC Adresse und BUS) per web Befehl ausschalte bleiben sie auch aus bis ich den ibutton wieder anlege.

            • hismastersvoice

              Es funktioniert aber auch absolut einwandfrei wenn ich bei "1W_"$pp_in_0/1 noch etwas am Anfang hinzufüge -> "1W_home_"$pp_in_0/1.
              Damit habe ich ja dann eine unterscheidung von wo der ibutton gerade kommt bzw. lege dafür jetzt einen weiteren VI an.

              Nicht schön aber es funktioniert.

              Kommentar


              • Hallo zusammen,

                das Loxberry PreRelease 2.0 ist ja raus, wird das Plugin mit dem A6 auch noch angepasst?
                Ich frage, weil ich die 1.4 Loxberry Version manuell auf buster hochgezogen haben und die von mir erwähnten Änderungen. Da die 2.0 Version auf buster aufsetzt, würde ich gerne wieder die default installation nutzen wollen.

                Zitat von hismastersvoice Beitrag anzeigen
                Hab Mal schnell am Handy drüber geschaut.

                Bei der show_device.php scheint das ja ok zu sein,
                aber bei der DS2438.sh werden jetzt nur noch A6 abfragt aber keine anderen DS2438

                Aufgrund mangel an Hardware kann ich das leider nicht testen.
                ​​​​

                Kommentar


                • svethi
                  svethi kommentierte
                  Kommentar bearbeiten
                  Das ist ein PreRelease und wie Du lesen kannst, läuft das noch nicht so rund wie es sollte. Wenn Dir das aber alles zu lange dauert, dann mach es halt selbst

                • leschnux
                  leschnux kommentierte
                  Kommentar bearbeiten
                  Das war nicht meine Frage, ich wollte lediglich wissen, ob der A6 in der Planung.

              • Moin !
                Folgende Problematik:

                Loxberry neu aufgesetzt (V2.0.0.3)
                MiniServer eingerichtet
                Email eingerichtet
                Netzwerk auf feste IP eingestellt.
                Läuft soweit. TestEmails klappt ebenfalls.

                Nun will ich 1-Wire-Plugin installieren. Dieser Versuch wurde mit 2 unabhängigen neuen V2-Installationen wiederholt und jedes Mal mit dem gleichen Ergebnis: Klappt net. 1-Wire-Interface und angeschlossene Sensoren werden nicht erkannt

                InstallationsLog:

                Reading package lists...
                Building dependency tree...
                Reading state information...
                E: Unable to locate package wiringpi
                12.11.2019 09:03:44 WARNING: Einige Pakete konnten nicht installiert werden.
                Can't locate Email/MIME.pm in @INC (you may need to install the Email::MIME module) (@INC contains: /opt/loxberry/libs/perllib /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/arm-linux-gnueabihf/perl5/5.28 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base) at /opt/loxberry/sbin/notifyproviders/email.pl line 6.
                BEGIN failed--compilation aborted at /opt/loxberry/sbin/notifyproviders/email.pl line 6.
                Error sending email notification - Output:

                und am Ende des Logs:
                12.11.2019 09:03:56 OK: Alle Plugin-Dateien wurden erfolgreich installiert und das System wurde aufgeräumt.
                12.11.2019 09:03:56 INFO: Sicherung der Log Datei.

                Aber im Plugin-Verwaltung:


                12.11.2019 09:03: FEHLER 1-Wire: APT install: Einige Pakete konnten nicht installiert werden.
                (X)

                12.11.2019 09:03: WARNUNG 1-Wire: APT install: Einige Pakete konnten nicht installiert werden.
                (X)

                12.11.2019 09:03: FEHLER 1-Wire: Einige Pakete konnten nicht installiert werden.
                (X)

                12.11.2019 09:03: WARNUNG 1-Wire: Einige Pakete konnten nicht installiert werden.



                Weiterhin:
                Ich habe noch 2 PRI 2 im Einsatz und diese (mit laufendem 1-Wire) von V1.4.3 nach V2 upgedated. Die Updates zeigen bei beiden Geräten identische Fehler beim Update, aber 1-Wire läuft...

                Für mich sehr seltsam.

                Irgendwelche Ideen ?

                Reiner

                Kommentar


                • Nachtrag: Mit der gleichen Hardware hat es vorher mit V1.4.3 gut gelaufen.

                  Kommentar


                  • Den Fehler "Can't locate Email/MIME.pm" habe ich erfasst und wird gefixt mit LoxBerry 2.0.0.4 (Lib zum Senden einer MIME-Email scheint zu fehlen).
                    Mit dem Plugin-Problem selbst hat das jedoch nichts zu tun.
                    PN/PM: Ich bevorzuge die Beantwortung von Fragen in öffentlichen Threads, wo andere mithelfen und mitprofitieren können. Herzlichen Dank!

                    Kommentar


                    • Hallo, ich wollte mich eben mal mit dem upgrade vom Loxberry beschäftigen und bin darüber gestolpert das das 1-Wire Plugin EOL ist.
                      Das finde ich sehr traurig, war es doch der Hauptgrund warum ich mir einen Loxberry aufgesetzt habe. Zusammen mit dem 9-Bus Board ist es einfach unschlagbar.
                      Was ist der Grund dafür? Hat der Author keine Zeit mehr es zu maintainen? Dann sollten wir jemanden anderes suchen der sich dessen annimmt.
                      VG, Till

                      Kommentar


                      • AlexAn
                        AlexAn kommentierte
                        Kommentar bearbeiten
                        Dieter hat die Kombi nicht mehr im Einsatz.

                      • svethi
                        svethi kommentierte
                        Kommentar bearbeiten
                        Es zwingt Dich ja auch niemand das Update zu machen.

                    • Zitat von jaeti01 Beitrag anzeigen
                      Hallo, ich wollte mich eben mal mit dem upgrade vom Loxberry beschäftigen und bin darüber gestolpert das das 1-Wire Plugin EOL ist.
                      Das finde ich sehr traurig, war es doch der Hauptgrund warum ich mir einen Loxberry aufgesetzt habe. Zusammen mit dem 9-Bus Board ist es einfach unschlagbar.
                      Was ist der Grund dafür? Hat der Author keine Zeit mehr es zu maintainen?
                      ...oder hat er evtl. keine Lust mehr immer für andere zu arbeiten, auch noch für User die selber eher wenig zum Forum beitragen?

                      Ich habe alle meine Plugins aufgrund der V2 des Loxberry auf EOL gesetzt.
                      Für mich gilt es jetzt erst mal abzuwarten ob die alte Struktur so noch funktioniert, dann werden wir weiter sehen.
                      Die Plugins werden aber nicht auf einen neue Struktur angepasst, entweder sie laufen, oder eben nicht.

                      Selber habe ich keinen Loxberry mehr am laufen, da ich meine Skripte individuell an mich angepasst und erweitert habe.
                      Ich habe in die Projekte immer sehr viel Zeit und Geld gesteckt wie zB 1-Wire-Hardware die ich selber gar nicht nutze.
                      Neulich war zB eine Anfrage (#180) für die Unterstützung der Familie A6 des DS2438.
                      Dann stellte ich mir die Frage, warum soll ich die Hardware nachkaufen um anderen ein kostenloses Plugin zu Verfügung zu stellen?

                      Dann sollten wir jemanden anderes suchen der sich dessen annimmt.
                      Da fehlen mir jetzt fast schon die Worte. Schau mal in den Spiegel, das siehst du den ersten der sich dessen annehmen könnte.
                      Nicht immer nur die anderen... Denk mal drüber nach.

                      Ich will jetzt nicht unverschämt klingen, aber ob ich ein Plugin das ich in sehr vielen Stunden erstellt habe weiterführe oder nicht ist immer noch meine Sache.
                      Meine Arbeit meine Entscheidung, und das gilt für alle die hier für "euch" kostenlos arbeiten.
                      Ein Plugin das für den Loxberry erstellt wurde ist nicht automatisch "Allgemeingut".

                      svethi
                      Danke, genau das ist das was ich auch denke.
                      Es gibt aktuell keinen Grund wenn man nicht einen Raspi 4 nutzt jetzt upzudaten.

                      AlexAn
                      Stimmt nicht ganz, ich habe die Skripte noch im Einsatz für meine Sauna und Aussentemp. etc, nur nicht als Loxberry Plugin.

                      Kommentar


                      • svethi
                        svethi kommentierte
                        Kommentar bearbeiten
                        Und den Pi4 braucht man eigentlich für den LB nicht. Und wenn man die Power benötigt, kommt man um eine aktive Kühlung nicht herum, da er sonst noch langsamer ist als ein Pi2 ;-)

                    • Zitat von hismastersvoice Beitrag anzeigen


                      Da fehlen mir jetzt fast schon die Worte. Schau mal in den Spiegel, das siehst du den ersten der sich dessen annehmen könnte.
                      Nicht immer nur die anderen... Denk mal drüber nach.
                      Habe ich doch bewusst das Wort "Wir" gewählt und mich damit explizit eingeschlossen? Bevor ich laut "Hier" schreie geht es mir vor allem erstmal darum die Motivation zu verstehen. Dafür habe ich eine simple Frage gestellt die weder unverschämt noch fordernd klingen sollte. Wenn das so rüber gekommen ist dann bitte ich um Nachsicht meiner ungeschickten Wortwahl.

                      Zitat von hismastersvoice Beitrag anzeigen
                      Ich will jetzt nicht unverschämt klingen, aber ob ich ein Plugin das ich in sehr vielen Stunden erstellt habe weiterführe oder nicht ist immer noch meine Sache.
                      Meine Arbeit meine Entscheidung, und das gilt für alle die hier für "euch" kostenlos arbeiten.
                      Ein Plugin das für den Loxberry erstellt wurde ist nicht automatisch "Allgemeingut".
                      Hey - ich wollte keinen Shitstorm auslösen sondern lediglich eine Frage stellen. Deine/Eure Bemühungen sind hoch angesehen. Mein Post war in keiner Weise als Kritik gemeint.

                      VG!

                      Kommentar


                      • hismastersvoice
                        hismastersvoice kommentierte
                        Kommentar bearbeiten
                        Ist schon OK.
                        Inzwischen habe ich einfach zu viele dieser Anfragen (besonders als PN) die ständig Forderungen nach Erweiterungen/Anpassungen haben.

                        Als ich einen User gefragt habe ob er mir so einen Chip schicken würde, da ich keinen habe, bekam ich eine geile Antwort...
                        Der Chip kostet ja schließlich 9€ und noch Porto, ob ich ihn nicht selber besorgen könne .

                        Soll ich dazu noch mehr sagen?
                        Deswegen verliert man auch die Lust.

                      • svethi
                        svethi kommentierte
                        Kommentar bearbeiten
                        Hallo Jaeti01, ich muss sagen, dass ich das genauso verstanden habe wie hismastersvoice. Dafür solltest Du Dir vielleicht in Zukunft den Satzbau besser überdenken, denn grammatikalisch steht es da genauso wie wir es verstanden haben.
                        Mehr brauche ich jetzt auch nicht dazu sagen, da Prof.Mobilux weiter unten alles schon gesagt hat und dies auch der Grund ist wieso schon viele Plugin Entwickler wieder ausgestiegen sind.
                    Lädt...
                    X